@extends('layouts.master')

@section('content')
<div class="content">
    <div class="row">
        <form action="{{ url('admin/education_level/store') }}" enctype="multipart/form-data" method="POST" role="form">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <header class="panel-heading" style="height:50px;">
                <div class="pull-left">
                    {{$title}}
                </div>
                <div>
                     @if(\Auth::user()->utype==1)
                        <a href="{{ url('admin/education_level') }}" class="btn btn-sm btn-info pull-right"><i class="fa fa-list"></i> Education Level List</a> <br><br>
                    @endif
                </div>
            </header>
        </div>
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    {{ csrf_field() }}
                    <div class="col-md-7">
                        <div class="form-group {{ $errors->has('level_name') ? 'has-error' : '' }}">
                            <label for="level_name">Education Level Name <i class="text-danger">*</i></label>
                            <input type='text' name="level_name" id="level_name" class="form-control" value="{{ old('level_name') }}" placeholder="Level Name">
                            <lebel class="text-danger"> {{ $errors->first('level_name') }}</lebel>
                        </div>
                        <div class="form-group pull-right">
                            <label for="level_name"></label>
                           <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> Save data</button>
                            <a href="{{ url('admin/education_level') }}" class="btn btn-default">
                            <i class="fa fa-times"></i> Cancel</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        </form>
    </div>
</div>
@stop


@section('script')

@if(Session::has('msg'))
    <div class="alert alert-success center-block msg_alt" >
        <a class="close" data-dismiss="alert" href="#">&times;</a>
        <strong><i class="fa fa-check"></i></strong>&nbsp;
    {{Session::get('msg')}}
    </div>
@endif
@stop