@extends('layouts.master')

@section('content')
<div class="content">
    <div class="row">
        <form action="{{ url('admin/employee/add_to_user/'.$employee->id) }}" enctype="multipart/form-data" method="POST" role="form">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <header class="panel-heading" style="height:50px;">
                <div class="pull-left">
                    {{$title}}
                </div>
                <div>
                     @if(\Auth::user()->utype==1)
                        <a style="margin-right:3px" href="{{ url('admin/employee') }}" class="btn btn-sm btn-info pull-right"><i class="fa fa-list"></i> Employee List</a>
                         <a style="margin-right:3px"  href="{{ url('admin/employee/add') }}" class="btn btn-sm btn-info pull-right"><i class="fa fa-plus"></i> Employee Add</a> <br><br>
                    @endif
                </div>
            </header>
        </div>
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-6 col-md-offset-3">
                        {{ csrf_field() }}
                        <div class="form-group {{ $errors->has('email') ? 'has-error' : '' }}">
                            <label for="email">Email <i class="text-danger">*</i></label>
                            <input type='email' name="email" id="email" class="form-control" placeholder="Full Name" value="{{$employee->personal_email }}">
                            <lebel class="text-danger"> {{ $errors->first('email') }}</lebel>
                        </div>
                        <div class="form-group {{ $errors->has('password') ? 'has-error' : '' }}">
                            <label for="password">Password <i class="text-danger">*</i></label>
                            <input type='password' name="password" id="password" class="form-control" placeholder="Password" value="{{ old('password') }}">
                            <lebel class="text-danger"> {{ $errors->first('password') }}</lebel>
                        </div>
                        <div class="form-group {{ $errors->has('confirm_password') ? 'has-error' : '' }}">
                            <label for="confirm_password">Confirm Password <i class="text-danger">*</i></label>
                            <input type='password' name="confirm_password" id="confirm_password" class="form-control" placeholder="Confirm Password" value="{{ old('confirm_password') }}">
                            <lebel class="text-danger"> {{ $errors->first('confirm_password') }}</lebel>
                        </div>
                        <div class="form-group">
                            <label for="permission">Assign User Role* </label>
                            <select class="form-control" name="role">
                                <option disabled selected value>Choose One</option>
                                @foreach($roles as $info)
                                <option value="{{ $info->id }}">{{ $info->display_name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group">
                            <label></label>
                                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> Add to user</button>
                                <a href="{{ url('admin/employee') }}" class="btn btn-default">
                                <i class="fa fa-times"></i> Cancel</a>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        </form>
    </div>
</div>
@stop


@section('script')


@stop