@extends('layouts.master')

@section('content')
<div class="content">
	<div class="row">
		<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">Fund Request</h3>
				</div>
				<div class="panel-body">
					<form action="{{ url('account/fund_req/save') }}" method="POST" class="form-horizontal" role="form">
							{{ csrf_field() }}
							<div class="form-group">
								<label for="purpose" class="col-sm-2">Fund Purpose</label>
								<div class="col-sm-5">
									<select name="purpose" id="purpose" class="form-control" required>
										<option value="">Select Fund Purpose</option>
										@if($acc_head)
											@foreach($acc_head as $head)
												<option value="{{ $head->id }}">{{ $head->name }}</option>
												@if($head->children)
												@foreach($head->children  as $child)
												<option value="{{ $child->id }}">&nbsp;&nbsp;&nbsp;{{ $child->name }}</option>
												@endforeach
												@endif
											@endforeach
										@endif
									</select>
								</div>
							</div>

							<div class="form-group">
								<label for="description" class="col-sm-2">Description</label>
								<div class="col-sm-5">
									<textarea name="description" id="description" class="form-control" placeholder="Description"></textarea>
								</div>
							</div>
					
							<div class="form-group">
								<label for="amount" class="col-sm-2">Amount</label>
								<div class="col-sm-5">
									<input type='text' name="amount" id="amount" class="form-control" required placeholder="Amount">
								</div>
							</div>
					
							<div class="form-group">
								<label for="due_date" class="col-sm-2">Due Date</label>
								<div class="col-sm-5">
									<input type='text' name="due_date" id="due_date" class="form-control date" placeholder="Due Date">
								</div>
							</div>


							<div class="form-group">
								<div class="col-sm-10 col-sm-offset-2">
									<button type="submit" class="btn btn-info">Request</button>
								</div>
							</div>

					</form>
				</div>
			</div>
		</div>
	</div>
</div>
@stop

@section('script')
<script type="text/javascript">
$(document).ready(function() {
	 $( ".date" ).datepicker({
          changeMonth: true,
          changeYear: true,
          dateFormat:"yy-mm-dd"
     });
});
</script>
@stop