@extends('layouts.master')

@section('content')
<!-- DataTables -->
<link rel="stylesheet" href="{{ asset('/assets/') }}/css/dataTables.bootstrap.min.css">
<link rel="stylesheet" href="{{ asset('/assets/') }}/switch/rcswitcher.css">
<link rel="stylesheet" href="{{ asset('/assets/') }}/alert/pnotify.css">
<link rel="stylesheet" href="{{ asset('/assets/') }}/alert/sweetalert.css">
<link rel="stylesheet" href="{{ asset('/assets/') }}/alert/sweet-alert-animations.css">
<div class="panel panel-default" style="min-height: 500px">
    <!-- Default panel contents -->
    <div class="panel-heading"></div>
        <header class="panel-heading" style="height:50px;">
            <div class="pull-left">
                {{$title}}
            </div>
            {{-- <div>
                 @if(\Auth::user()->utype==1)
                    <a href="{{ url('admin/payroll_structure/add') }}" class="btn btn-sm btn-info pull-right"><i class="fa fa-plus"></i> Create Payroll</a> <br><br>
                @endif
            </div> --}}
        </header>
    <div class="panel-body">
        <div class="clearfix"></div>
        <table class="table table-bordered " id="example">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Employee Name</th>
                    <th>Designation</th>
                    <th>Grade</th>
                    <th class="text-right">Salary</th>
                    <th style="text-align: center;">Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            @if($all)
            <?php $i=1;?>
            @foreach($all as $row)
                <tr>
                    <td>{{ @$i++ }}</td>
                    <td>{{ @$row->employee->name }}</td>
                    <td>{{ @$row->designationName->designation['name'] }}</td>
                    <td>
                        {{ @$row->grade->name }}
                        <?php $gmt=0; ?>
                        @foreach($row->grade->gradeAmount as $gm)
                            @php $gmt = $gmt + $gm->amount @endphp
                        @endforeach
                        ({{$gmt}} TK.)
                    </td>
                    <td class="text-right"> 
                        <?php $salary=0; ?>
                        @if(!empty($row->psHead))
                            @foreach($row->psHead as $data)
                                @php $salary = $salary + $data->amount @endphp
                            @endforeach
                            @if($salary==0)                     
                            <span class="text-right">Salary Not Update </span>
                            @else
                            <span class="text-right">{{ number_format($salary,2) }} </span>
                            @endif
                        @else
                        <span class="text-right">Salary Not Update </span>
                        @endif
                     </td>
                    <td style="text-align: center;">
                        @if($row->type == 4)
                        <label class="label label-primary"> Rejoining </label>
                        @else
                        <label class="label label-success"> Continue </label>
                        @endif
                    </td>
                    <td>
                        @if(\Auth::user()->utype==1)
                        <a href="{{ url('admin/payroll_structure/ps_update') }}/{{ $row->id }}" class='btn btn-primary btn-sm' data-toggle="tooltip" title="Update" data-placement="top">Update</a>

                        {{-- <a href="{{ url('admin/payroll_structure/delete') }}/{{ $row->id }}" class='btn btn-default btn-sm' onclick="return confirm('Are you sure to delete this item ?')" data-toggle="tooltip" title="Delete" data-placement="top"><i class="fa fa-trash-o"></i></a> --}}
                        @endif
                    </td>
                </tr>
            @endforeach
            @endif
            </tbody>
        </table>
    </div>

</div>


<div class="modal fade" id="modalPreview">
    <div class="modal-dialog" style='width: 70%;'>
    
    </div>
</div>
<div id"statusmsg">
    
</div>
@stop

@section('style')
<style>
    .modal-dialog {
      width: 70% !important;
      height: 70% !important;
    }

    .modal-content {
      height: auto;
      min-height: 70% !important;
      border-radius: 0;
    }
</style>
@stop

@section('script')
<script src="{{ asset('/assets/') }}/js/jquery.dataTables.min.js"></script>
<script src="{{ asset('/assets/') }}/js/dataTables.bootstrap.min.js"></script>
<script src="{{ asset('/assets/') }}/switch/rcswitcher.js"></script>
<script src="{{ asset('/assets/') }}/alert/sweetalert.min.js"></script>
<script src="{{ asset('/assets/') }}/alert/pnotify.js"></script>
<script src="{{ asset('/assets/') }}/alert/notify.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
    $("input[type='checkbox']").rcSwitcher();
});

$(document).ready(function() {
    $('body').on('hidden.bs.modal', '.modal', function () {
      $(this).removeData('bs.modal');
    });
    var table=$("#example").DataTable({
         "searching": true,
         "lengthChange": true,
         "ordering": true,
         stateSave: true       
    });

    $("input[type='checkbox']").rcSwitcher().on({'toggle.rcSwitcher': function( e, dataObj, changeType ){
            var id = $(this).data('id');
            var urll="{{ url('admin/payroll_structure/status') }}/"+id;
            var msg_success = 'Status Updated Successfully.';
            var msg_error = 'Something went wrong!';
            $.ajax({
                url:urll,
                success: function(data){
                  notify('success',msg_success);                       
                },
                error: function (data) {
                    notify('error',msg_error);
                }
            });
        }
    });
});
</script>
@stop
@if(Session::has('msg'))
    <div class="alert alert-success center-block msg_alt" >
        <a class="close" data-dismiss="alert" href="#">&times;</a>
        <strong><i class="fa fa-check"></i></strong>&nbsp;
    {{Session::get('msg')}}
    </div>
@endif